Apache Struts API Documentation: Class MessageTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.bean
Class MessageTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.bean.MessageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class MessageTag
extends javax.servlet.jsp.tagext.TagSupport

Custom tag that retrieves an internationalized messages string (with optional parametric replacement) from the `ActionResources` object stored as a context attribute by our associated `ActionServlet` implementation.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `arg0` The first optional argument.
`protected java.lang.String` | `arg1` The second optional argument.
`protected java.lang.String` | `arg2` The third optional argument.
`protected java.lang.String` | `arg3` The fourth optional argument.
`protected java.lang.String` | `arg4` The fifth optional argument.
`protected java.lang.String` | `bundle` The servlet context attribute key for our resources.
`protected static java.util.Locale` | `defaultLocale` The default Locale for our server.
`protected java.lang.String` | `key` The message key of the message to be retrieved.
`protected java.lang.String` | `localeKey` The session scope key under which our Locale is stored.
`protected static MessageResources` | `messages` The message resources for this package.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MessageTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`java.lang.String` | `getArg0()`
`java.lang.String` | `getArg1()`
`java.lang.String` | `getArg2()`
`java.lang.String` | `getArg3()`
`java.lang.String` | `getArg4()`
`java.lang.String` | `getBundle()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getLocale()`
`void` | `release()` Release any acquired resources.
`void` | `setArg0(java.lang.String arg0)`
`void` | `setArg1(java.lang.String arg1)`
`void` | `setArg2(java.lang.String arg2)`
`void` | `setArg3(java.lang.String arg3)`
`void` | `setArg4(java.lang.String arg4)`
`void` | `setBundle(java.lang.String bundle)`
`void` | `setKey(java.lang.String key)`
`void` | `setLocale(java.lang.String localeKey)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### arg0

    protected java.lang.String arg0

  The first optional argument.

### arg1

    protected java.lang.String arg1

  The second optional argument.

### arg2

    protected java.lang.String arg2

  The third optional argument.

### arg3

    protected java.lang.String arg3

  The fourth optional argument.

### arg4

    protected java.lang.String arg4

  The fifth optional argument.

### bundle

    protected java.lang.String bundle

  The servlet context attribute key for our resources.

### defaultLocale

    protected static final java.util.Locale defaultLocale

  The default Locale for our server.

### key

    protected java.lang.String key

  The message key of the message to be retrieved.

### localeKey

    protected java.lang.String localeKey

  The session scope key under which our Locale is stored.

### messages

    protected static MessageResources messages

  The message resources for this package.

Constructor Detail

### MessageTag

    public MessageTag()

Method Detail

### getArg0

    public java.lang.String getArg0()

### setArg0

    public void setArg0(java.lang.String arg0)

### getArg1

    public java.lang.String getArg1()

### setArg1

    public void setArg1(java.lang.String arg1)

### getArg2

    public java.lang.String getArg2()

### setArg2

    public void setArg2(java.lang.String arg2)

### getArg3

    public java.lang.String getArg3()

### setArg3

    public void setArg3(java.lang.String arg3)

### getArg4

    public java.lang.String getArg4()

### setArg4

    public void setArg4(java.lang.String arg4)

### getBundle

    public java.lang.String getBundle()

### setBundle

    public void setBundle(java.lang.String bundle)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String localeKey)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation